Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1131226 - Can't change a vm disk's storage domain from a file domain to a block domain when creating a template from a vm
Summary: Can't change a vm disk's storage domain from a file domain to a block domain ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.0
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Tal Nisan
QA Contact: Elad
URL:
Whiteboard: storage
Depends On: 1128776
Blocks: 1073943 1131294 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-08-18 18:00 UTC by Tal Nisan
Modified: 2016-02-10 17:31 UTC (History)
13 users (show)

Fixed In Version: ovirt-3.5.0_rc1.1
Doc Type: Bug Fix
Doc Text:
Clone Of: 1128776
: 1131294 (view as bug list)
Environment:
Last Closed:
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31636 ovirt-engine-3.5 MERGED core: Set image format correctly when creating template image on block domain Never

Description Tal Nisan 2014-08-18 18:00:13 UTC
Description of problem:
When creating a template from a VM, an error is shown if the destination storage domain of a disk is an ISCSI domain.

Version-Release number of selected component (if applicable):
6c261dc6188f8d345567393c8d475488abf78e3f

How reproducible:
100%

Steps to Reproduce:
1. Create a VM.
2. Add a file domain disk to the VM.
3. Click on the VM you created -> Make Template.
4. Type a name, set the target of the VM's disk to be an ISCSI storage domain and click OK.

Actual results:
An "Operation Canceled" error is shown with the error message- "Error while executing action New VM Template: Incorrect Volume format".

Expected results:
The operation should succeed.

Additional info:

Comment 2 Elad 2014-08-26 07:44:44 UTC
Creating a template with block domain as dst domain out a VM with a disk located on a file domain succeeded. 
Creating a VM out of this template and starting it works fine also.

Verified using ovirt-3.5 RC1.1

Comment 3 Allon Mureinik 2015-02-16 19:11:57 UTC
RHEV-M 3.5.0 has been released, closing this bug.

Comment 4 Allon Mureinik 2015-02-16 19:11:58 UTC
RHEV-M 3.5.0 has been released, closing this bug.


Note You need to log in before you can comment on or make changes to this bug.